{config, lib, pkgs, modulesPath, ...}: {
  imports = [ ];

  fileSystems."/" = {
    device = "nya-root";
    fsType = "tmpfs";
  };
  fileSystems."/persist" = {
    device = "/dev/disk/by-uuid/a72da670-f631-49b1-bcb3-6d378cc1f2d0";
    fsType = "ext4";
    neededForBoot = true;
  };
  fileSystems."/boot" = {
    device = "/persist/boot";
    fsType = "none";
    options = [ "bind" ];
  };
  fileSystems."/nix" = {
    device = "/persist/nix";
    fsType = "none";
    options = [ "bind" ];
  };
  fileSystems."/var/vmail" = {
    device = "/dev/disk/by-uuid/23c44c93-5035-4e29-9e46-75c1c08f4cea";
    fsType = "ext4";
  };

  swapDevices =
    [{ device = "/dev/disk/by-uuid/8bc30d17-3c08-4648-ab18-8c723523be1a"; }];

  nix.settings.max-jobs = lib.mkDefault 4;

  nixpkgs.hostPlatform = lib.mkDefault "x86_64-linux";
}
